node-pg_7.7.1-3_all.deb


Advertisement

Description

node-pg - PostgreSQL client library for Node

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-pg_7.7.1-3_all.deb
Package name node-pg
Package version 7.7.1
Package release 3
Package architecture all
Package type deb
Category universe/javascript
Homepage https://github.com/brianc/node-postgres
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 31.91 KB
Installed size 163.00 KB
Node is an event-based server-side JavaScript engine.
node-postgres is a non-blocking (async) pure JavaScript PostgreSQL
client library for Node.

Alternatives

Package Version Architecture Repository
node-pg_7.7.1-3_all.deb 7.7.1 all Ubuntu Universe
node-pg - - -

Requires

Name Value
node-async -
node-semver >= 4.3.2
node-split -
node-xtend -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-pg_7.7.1-3_all.deb
Source Package node-postgres

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-pg deb package:
    # sudo apt-get install node-pg

Files

Path
/usr/lib/nodejs/buffer-writer/index.js
/usr/lib/nodejs/buffer-writer/package.json
/usr/lib/nodejs/packet-reader/index.js
/usr/lib/nodejs/packet-reader/package.json
/usr/lib/nodejs/pg/package.json
/usr/lib/nodejs/pg-connection-string/index.js
/usr/lib/nodejs/pg-connection-string/package.json
/usr/lib/nodejs/pg-int8/index.js
/usr/lib/nodejs/pg-int8/package.json
/usr/lib/nodejs/pg-pool/index.js
/usr/lib/nodejs/pg-pool/package.json
/usr/lib/nodejs/pg-types/index.js
/usr/lib/nodejs/pg-types/package.json
/usr/lib/nodejs/pg-types/lib/arrayParser.js
/usr/lib/nodejs/pg-types/lib/binaryParsers.js
/usr/lib/nodejs/pg-types/lib/textParsers.js
/usr/lib/nodejs/pg/lib/client.js
/usr/lib/nodejs/pg/lib/connection-parameters.js
/usr/lib/nodejs/pg/lib/connection.js
/usr/lib/nodejs/pg/lib/defaults.js
/usr/lib/nodejs/pg/lib/index.js
/usr/lib/nodejs/pg/lib/query.js
/usr/lib/nodejs/pg/lib/result.js
/usr/lib/nodejs/pg/lib/type-overrides.js
/usr/lib/nodejs/pg/lib/utils.js
/usr/lib/nodejs/pg/lib/native/client.js
/usr/lib/nodejs/pg/lib/native/index.js
/usr/lib/nodejs/pg/lib/native/query.js
/usr/lib/nodejs/pgpass/package.json
/usr/lib/nodejs/pgpass/lib/helper.js
/usr/lib/nodejs/pgpass/lib/index.js
/usr/lib/nodejs/postgres-array/index.js
/usr/lib/nodejs/postgres-array/package.json
/usr/lib/nodejs/postgres-bytea/index.js
/usr/lib/nodejs/postgres-bytea/package.json
/usr/lib/nodejs/postgres-date/index.js
/usr/lib/nodejs/postgres-date/package.json
/usr/lib/nodejs/postgres-interval/index.js
/usr/lib/nodejs/postgres-interval/package.json
/usr/share/doc/node-pg/changelog.Debian.gz
/usr/share/doc/node-pg/copyright

Changelog

2019-01-04 - Jonas Smedegaard <dr@jones.dk>
node-postgres (7.7.1-3) unstable; urgency=medium
* Add Xavier Guimard as Uploader, and removing myself,
due to uncoordinated radical refactoring.
2019-01-04 - Xavier Guimard <yadd@debian.org>
node-postgres (7.7.1-2) unstable; urgency=medium
* Set minimal version for node-xtend to 4.0.1-2
2019-01-04 - Xavier Guimard <yadd@debian.org>
node-postgres (7.7.1-1) unstable; urgency=medium
* Team upload
* Add components (not grouped in version since upstream provides a
package-lock.json file):
- buffer-writer
- packet-reader
- pg-connection-string
- pg-pool
- pg-types
- pgpass
- pg-int8
- postgres-array
- postgres-bytea
- postgres-date
- postgres-interval
* New upstream version 7.7.1 (Closes: #802213)
* Remove patch
* Switch from cdbs to dh
* Bump debhelper compatibility level to 11
* Declare compliance with policy 4.3.0
* Update debian/copyright format url
* Add node-xtend and node-split in dependencies
* Add autopkgtest files
* Disable one stupid ssl test that fails for an unknown reason
* Add autopkgtest files
* Disable one stupid ssl test
* Add source/lintian-overrides
* Update debian/copyright
2014-09-06 - Jonas Smedegaard <dr@jones.dk>
node-postgres (0.13.3-1) unstable; urgency=low
[ upstream ]
* New upstream release(s).
[ Jonas Smedegaard ]
* Fix update github.com download URL in watch and rules files.
* Drop .gitignore file.
* Have git-import-orig suppress .gitignore files.
* Bump dephelper compatibility level to 8.
* Bump policy compliance claim to 3.9.5.
* Update copyright file:
+ Fix use comment pseudo-paragraph to obey silly restrictions of
copyright format 1.0.
* Add README.source emphasizing control.in file as *not* a
show-stopper for contributions, referring to wiki page for details.
* Unfuzz patch 2001.
* Update package relations:
+ Relax build-dependency on cdbs: Needed version satisfied even in
oldstable.
* Stop track md5sum of upstream tarball.
* Update Vcs-Git and Vcs-Browser URLs.
* Add patch header, and license patch same as upstream code.
* Extend copyright coverage of packaging, and bump licensing to
GPL-3+.
* Fix stop run testsuite (needs custom configured Postgres anyway to
succeed).
Closes: bug#707503. Thanks to Lucas Nussbaum.
* Update rules to use node-gyp (not node-waf).
Build-depend on node-gyp.
Closes: bug#707503. Thanks to Lucas Nussbaum.
2012-06-22 - Jonas Smedegaard <dr@jones.dk>
node-postgres (0.7.1-1) unstable; urgency=low
* New upstream release.
+ Use node-gyp as preferred build helper.
* Restructure build routines to apply security hardening build flags.
* Directly use github.com URL (not githubredir.debian.net redirctor)
when fetching upstream source.
* Add debian/patches/README documenting patch numbering micro-policy.
2012-06-01 - Jonas Smedegaard <dr@jones.dk>
node-postgres (0.7.0-1) unstable; urgency=low
* New upstream release.
+ Include command metadata with native query result callback.
+ Use correct parse function for float arrays.
+ Ignore writes to unwritable sockets.
+ Reduce complexity of test runner.
2012-05-10 - Jonas Smedegaard <dr@jones.dk>
node-postgres (0.6.18-1) unstable; urgency=low
* New upstream release.
2012-04-05 - Jonas Smedegaard <dr@jones.dk>
node-postgres (0.6.15-1) unstable; urgency=low
* New upstream release.
* Use anonscm.debian.org for Vcs-Browser field.
* Extend my copyright for Debian packaging.
2012-03-19 - Jonas Smedegaard <dr@jones.dk>
node-postgres (0.6.14-1) unstable; urgency=low
* New upstream release.
* Update copyright file:
+ Shorten and quote license strings in comments.
2012-03-03 - Jonas Smedegaard <dr@jones.dk>
node-postgres (0.6.13-1) unstable; urgency=low
* New upstream release.

See Also

Package Description
node-pify_3.0.0-1_all.deb promisify a callback-style function
node-pikaday_1.8.0-1_all.deb Lightweight JavaScript datepicker
node-pinkie-promise_2.0.1-1_all.deb ES2015 Promise ponyfill
node-pinkie_2.0.4-1_all.deb Itty bitty little widdle twinkie pinkie ES2015 Promise implementation
node-pinkyswear_2.2.3+dfsg-2_all.deb very small implementation of the Promises/A+ specification
node-pkg-dir_2.0.0-1_all.deb find the root directory of a npm package
node-pkg-up_1.0.0-1_all.deb Find the closest package.json file
node-platform_1.3.5-1_all.deb platform detection lib works on nearly all JavaScript platforms
node-plugin-error_0.1.2-1_all.deb Error handling for vinyl plugins
node-plur_2.1.2-2_all.deb Pluralize a word
node-po2json_0.4.5-1_all.deb po2json for Nodejs
node-policyfile_0.0.6+ds-1_all.deb Flash Socket Policy File Server for Node.js
node-posix-character-classes_0.1.0-1_all.deb POSIX character classes for creating regular expressions
node-posix-getopt_1.2.0+20150728-2_all.deb POSIX-style getopt()
node-postcss-colormin_2.2.2-2_all.deb Minify colors in your CSS files with PostCSS
Advertisement
Advertisement